# -*- coding: utf-8 -*-
from setuphelpers import *

"""
https://learn.microsoft.com/en-us/windows/deployment/do/waas-delivery-optimization-reference

Bandwidth (in KB/s)

"""


def install():
    registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\DeliveryOptimization", "DOMaxForegroundDownloadBandwidth", 500)
    registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\DeliveryOptimization", "DOMaxBackgroundDownloadBandwidth", 500)
    # Deprecated
    registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\DeliveryOptimization", "DOMaxDownloadBandwidth", 500)
    registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\DeliveryOptimization", "DOMaxUploadBandwidth", 50)


def uninstall():
    registry_deletekey(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows", "DeliveryOptimization")
